package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the Casbin entity.
 */
public class CasbinDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private String pType;

    private String v0;

    private String v1;

    private String v2;

    private String v3;

    private String v4;

    private String v5;

    private Long createdDate;

    private Long modifiedDate;

    private Long deletedDate;

    private Long tbRoleId;

    private Long tbFunctionId;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getpType() {
        return pType;
    }

    public void setpType(String pType) {
        this.pType = pType;
    }

    public String getV0() {
        return v0;
    }

    public void setV0(String v0) {
        this.v0 = v0;
    }

    public String getV1() {
        return v1;
    }

    public void setV1(String v1) {
        this.v1 = v1;
    }

    public String getV2() {
        return v2;
    }

    public void setV2(String v2) {
        this.v2 = v2;
    }

    public String getV3() {
        return v3;
    }

    public void setV3(String v3) {
        this.v3 = v3;
    }


    public String getV4() {
        return v4;
    }

    public void setV4(String v4) {
        this.v4 = v4;
    }

    public String getV5() {
        return v5;
    }

    public void setV5(String v5) {
        this.v5 = v5;
    }
    public Long getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Long createdDate) {
        this.createdDate = createdDate;
    }

    public Long getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Long modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Long getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Long deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbRoleId() {
        return tbRoleId;
    }

    public void setTbRoleId(Long tbRoleId) {
        this.tbRoleId = tbRoleId;
    }

    public Long getTbFunctionId() {
        return tbFunctionId;
    }

    public void setTbFunctionId(Long tbFunctionId) {
        this.tbFunctionId = tbFunctionId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long detailUserId) {
        this.createdById = detailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long detailUserId) {
        this.modifiedById = detailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long detailUserId) {
        this.deletedById = detailUserId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        CasbinDTO casbinDTO = (CasbinDTO) o;
        if (casbinDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), casbinDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "PermissionDTO{" +
            "id=" + getId() +
            "pTye=" + getpType() +
            "v0=" + getV0() +
            "v1=" + getV1() +
            "v2=" + getV2() +
            "v3=" + getV3() +
            "v4=" + getV4() +
            "v5=" + getV5() +
            ", createdDate=" + getCreatedDate() +
            ", modifiedDate=" + getModifiedDate() +
            ", deletedDate=" + getDeletedDate() +
            ", role=" + getTbRoleId() +
            ", functions=" + getTbFunctionId() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            "}";
    }
}
